
Redmine - Defect #20423

error 500 with utf8 hyperlinks

2015-07-28 08:30 - Ma Py

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.4

Description

Hey guys,

A few weeks ago I installed redmine on Ubuntu 14.04. Currently we have problems with CSV export and filtering of tickets. We get in

the browser the error message 500. However, if I remove it from the link utf8 it works fine

https://redmine.domain.com/projects/project1/issues.csv?utf8=%E2%9C%93&columns=  -> isn't working

https://redmine.domain.com/projects/project1/issues.csv?columns= -> works

Environment:

  Redmine version                3.0.3.stable

  Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

  Rails version                  4.2.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Filesystem                     

Redmine plugins:

  no plugin installed

 
MariaDB [(none)]> show global variables like 'char%';

+--------------------------+----------------------------+

| Variable_name            | Value                      |

+--------------------------+----------------------------+

| character_set_client     | utf8                       |

| character_set_connection | utf8                       |

| character_set_database   | utf8                       |

| character_set_filesystem | binary                     |

| character_set_results    | utf8                       |

| character_set_server     | utf8                       |

| character_set_system     | utf8                       |

| character_sets_dir       | /usr/share/mysql/charsets/ |

+--------------------------+----------------------------+

8 rows in set (0.00 sec)

History

#1 - 2015-07-29 02:17 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Check your redmine log and web server log.

#2 - 2015-07-29 02:18 - Toshi MARUYAMA

- Category deleted (I18n)

#3 - 2015-07-30 12:04 - Ma Py

Nothing appears in our Logs with this link: https://redmine.server.com/projects/project1/issues.csv?utf8=%E2%9C%93&columns=

https://redmine.server.com/projects/project1/issues.csv?columns=
redmine.log:

Started GET "/projects/project1/issues.csv?columns=" for 172.16.0.20 at 2015-07-30 12:01:25 +0200

Processing by IssuesController#index as CSV

  Parameters: {"columns"=>"", "project_id"=>"project1"}

  Current user: mpy (id=3)

  Rendered text template (0.0ms)

Sent data issues.csv (0.5ms)

Completed 200 OK in 28ms (Views: 0.4ms | ActiveRecord: 3.5ms)

 apache2 log

dev-redmine.domain.lan:80 172.16.0.20 - - [30/Jul/2015:12:03:53 +0200] "GET /projects/project1/issues.csv?colu

mns= HTTP/1.1" 200 1572 "-" "Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome

/44.0.2403.125 Safari/537.36" 

#4 - 2015-07-30 13:58 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

It is not Redmine problem. Problem is on proxy or etc.
